//Algorithm to calculate the time
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
using namespace std;
//Exercise 6
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
int main() {
	Run();
	return 0;
	}
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/
	int T;
	int S;
	int D;
	int H;
	int M;
	int d;
	int h;
	int m;
/********************************************************************************************************
												FUNCTION DEFINITION
**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){		
	cout<<"Escriba la cantidad total de segundos : ";
	cin>>T;
}
//===================================================================================================================================================================================
void Calculate() {
	D=T/86400;
	d=T%86400;
	H=d/3600;
    h=d%3600;
    M=h/60;
    m=h%60;

}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"Cantidad de dias : "<<D;
	cout<<"\n\rCantidad de horas : "<<H;
	cout<<"\n\rCantidad de minutos : "<<M;
	cout<<"\n\rCantidad de segundos : "<<T;
}
